API reference
Export
Export a table's rows as a file, and check an export's status.
The Export objectLink to section
created_atintegerRequiredAt least 0.
updated_atintegerRequiredAt least 0.
idstringRequired1 to 48 characters.
project_idstringRequired1 to 48 characters.
table_idstringRequirednullable1 to 48 characters.
actor_idstringRequiredUp to 36 characters.
checksumstringRequiredUp to 64 characters.
statusstringRequired- Allowed values
processingcompletefailed
The Export objectjson
{ "created_at": 1711468800000, "updated_at": 1711468800000, "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6", "project_id": "string", "table_id": "string", "actor_id": "string", "checksum": "string", "status": "processing", "filter_json": "string", "row_count": 42, "json_key": "string", "csv_key": "string", "xlsx_key": "string", "error": "string", "expires_at": 1711468800000}Get export status
GET/v1/projects/{project_id}/exports/{export_id}
Path parameters
project_idstringRequiredexport_idstringRequired
Returns
200application/json
created_atintegerRequiredAt least 0.
updated_atintegerRequiredAt least 0.
idstringRequired1 to 48 characters.
project_idstringRequired1 to 48 characters.
table_idstringRequirednullable1 to 48 characters.
actor_idstringRequiredUp to 36 characters.
checksumstringRequiredUp to 64 characters.
statusstringRequired- Allowed values
processingcompletefailed
filter_jsonstringRequirednullableUp to 4096 characters.
row_countintegerRequirednullableAt least 0.
json_keystringRequirednullableUp to 512 characters.
csv_keystringRequirednullableUp to 512 characters.
xlsx_keystringRequirednullableUp to 512 characters.
errorstringRequirednullableUp to 2048 characters.
expires_atintegerRequirednullableAt least 0.
import { AnyrowSDK } from "@anyrow/sdk"const anyrow = new AnyrowSDK({ baseURL: "https://api.anyrow.ai", headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },})const { data, error } = await anyrow.export.get({ params: { project_id: "{project_id}", export_id: "{export_id}" },}){ "created_at": 1711468800000, "updated_at": 1711468800000, "id": "exprt_01h5a3g8k9m2n4p6q8r0t2v4x6", "project_id": "string", "table_id": "string", "actor_id": "string", "checksum": "string", "status": "processing", "filter_json": "string", "row_count": 42, "json_key": "string", "csv_key": "string", "xlsx_key": "string", "error": "string", "expires_at": 1711468800000}Export table rows
GET/v1/projects/{project_id}/tables/{table_id}/export
Path parameters
project_idstringRequiredtable_idstringRequired
Query parameters
filterstringoptionalformatstringRequired- Allowed values
csvjsonxlsx
orderstringoptionalschemastringoptional- Allowed values
truefalse
searchstringoptionalsincestringoptional
Returns
200application/json
idstringRequiredstatusstringRequired- Always
processing
import { AnyrowSDK } from "@anyrow/sdk"const anyrow = new AnyrowSDK({ baseURL: "https://api.anyrow.ai", headers: { Authorization: `ApiKey ${process.env.ANYROW_API_KEY}` },})const { data, error } = await anyrow.table.export({ params: { project_id: "{project_id}", table_id: "{table_id}" }, search: { format: "csv" },}){ "id": "string", "status": "processing"}